Module | Sequel::Access::DatabaseMethods
In: | lib/sequel/adapters/shared/access.rb

### Methods

database_type serial_primary_key_options tables

### Public Instance methods

database_type()

Access uses type :access as the database_type

[Source]

       # File lib/sequel/adapters/shared/access.rb, line 5
    5:       def database_type
    6:         :access
    7:       end

serial_primary_key_options()

Access uses type Counter for an autoincrementing keys

[Source]

        # File lib/sequel/adapters/shared/access.rb, line 15
    15:       def serial_primary_key_options
    16:         {:primary_key => true, :type=>:Counter}
    17:       end

tables()

Doesn‘t work, due to security restrictions on MSysObjects

[Source]

        # File lib/sequel/adapters/shared/access.rb, line 10
    10:       def tables
    11:         from(:MSysObjects).filter(:Type=>1, :Flags=>0).select_map(:Name).map{|x| x.to_sym}
    12:       end

[Validate]